-- Set up elixir-tools.nvim for better Elixir support

return {
  {
    "elixir-tools/elixir-tools.nvim",
    event = { "BufReadPre", "BufNewFile" },
    config = function()
      local elixir = require("elixir")

      elixir.setup({
        nextls = { enable = true },
        credo = {},
        elixirls = { enable = false },
      })
    end,
  },
}
